Bug 471197 - xfwm4: Backport patches to add "terminate if not responding" dialog.
xfwm4: Backport patches to add "terminate if not responding" dialog.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xfwm4 (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-12 05:12 EST by Jayson King
Modified: 2009-04-13 15:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.4.3-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 15:40:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xfwm4-4.4.3-terminate-if-not-responding-backport-from-4.6.patch Backported patch to implement "terminate if not responding" dialog from 4.6 beta. (53.47 KB, patch)
2008-11-12 05:14 EST, Jayson King
no flags Details | Diff
xfwm4-4.4.3-terminate-if-not-responding-backport-from-4.6-language.patch Language updates for dialog. (6.34 KB, patch)
2008-11-12 05:15 EST, Jayson King
no flags Details | Diff
specfile update (6.44 KB, text/x-rpm-spec)
2008-11-12 05:17 EST, Jayson King
no flags Details
xfwm4-4.4.3-terminate-if-not-responding-backport-from-4.6-language.patch (6.35 KB, patch)
2008-11-12 13:14 EST, Jayson King
no flags Details | Diff

  None (edit)
Description Jayson King 2008-11-12 05:12:56 EST
Description of problem:
In xfwm4-4.4, when an application becomes unresponsive and the user tries to close its window, the window does not close and the unresponsive application keeps running.

xfwm4 4.6 beta adds a new dialog that pops up when the user tries to close an application that isn't responding.

I have backported those patches to the latest stable xfwm4-4.4.3 release in Fedora.


Version-Release number of selected component (if applicable):
4.4.3


How reproducible:
Always.


Steps to Reproduce:
1. App becomes unresponsive
2. Try to close app
3.
  
Actual results:
App doesn't close


Expected results:
App should close


Additional info:
These patches make unresponsive apps close. Please consider adding them to xfwm4-4.4.3 package. Thanks.
Comment 1 Jayson King 2008-11-12 05:14:14 EST
Created attachment 323313 [details]
xfwm4-4.4.3-terminate-if-not-responding-backport-from-4.6.patch
Backported patch to implement "terminate if not responding" dialog from 4.6 beta.
Comment 2 Jayson King 2008-11-12 05:15:05 EST
Created attachment 323315 [details]
xfwm4-4.4.3-terminate-if-not-responding-backport-from-4.6-language.patch
Language updates for dialog.
Comment 3 Jayson King 2008-11-12 05:17:59 EST
Created attachment 323316 [details]
specfile update

And a specfile for the patches. I bumped it to 4.4.3-2 and added a changelog.
Comment 4 Kevin Fenzi 2008-11-12 13:06:59 EST
This is nice and a cool feature, but why does it merit backporting to the stable release? 

Hopefully 4.6 will be out before too long and we will get the new feature then.
Comment 5 Jayson King 2008-11-12 13:14:24 EST
Created attachment 323365 [details]
xfwm4-4.4.3-terminate-if-not-responding-backport-from-4.6-language.patch

fix: "anguage updates" -> "language updates"
Comment 6 Jayson King 2008-11-12 13:37:39 EST
(In reply to comment #4)
> This is nice and a cool feature, but why does it merit backporting to the
> stable release? 
> 
> Hopefully 4.6 will be out before too long and we will get the new feature then.

Thanks. It helps usability, and 4.6 may be some time off.

Will Fedora upgrade to 4.6?
Comment 7 Bug Zapper 2008-11-26 00:14:26 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Christoph Wickert 2009-03-26 16:31:08 EDT
Jayson, what is the status of this bug? I can see your changes in the changelog:

  * Wed Nov 12 2008 Jayson King <dev@jaysonking.com> - 4.4.3-2
  - backport "terminate if not responding" patches from 4.6

but I can't find the patches in CVS and I can't find 4.4.3-2 in koji.
Comment 9 Jayson King 2009-03-26 18:06:59 EDT
> Jayson, what is the status of this bug?

I use my own custom packages for xfce, so I don't know.

> I can see your changes in the changelog:

That's just in the .spec file I made to build the package with the patches. It probably should not have had that changelog in it, I guess.
Comment 10 Kevin Fenzi 2009-03-26 18:29:45 EDT
Well, if you guys think it's worth backporting to 4.4.3, I guess we can. 

4.6 has it though and that will be in f11. 

What are your thoughts Christoph?
Comment 11 Christoph Wickert 2009-03-26 19:54:17 EDT
(In reply to comment #9)
> That's just in the .spec file I made to build the package with the patches. It
> probably should not have had that changelog in it, I guess.  

If you check something in, please build it. If you just need it locally, don't use our CVS.

(In reply to comment #10)
> What are your thoughts Christoph?  

I tested the patch and the only thing I did not like about it was that it was introducing untranslated strings, but this got fixed, with the language.patch, so I'd like to push this to F9 and F10. In fact I stumbled over this bug while working on Xfce 4.4.3 for F9.
Comment 12 Jayson King 2009-03-26 20:06:57 EDT
> If you check something in, please build it. If you just need it locally, don't
use our CVS.

What are you talking about? I didn't use the CVS, I don't even have write access to it.
Comment 13 Fedora Update System 2009-03-28 21:02:39 EDT
xfwm4-4.4.3-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xfwm4-4.4.3-2.fc10
Comment 14 Fedora Update System 2009-03-31 16:35:15 EDT
xfwm4-4.4.3-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xfwm4'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3109
Comment 15 Fedora Update System 2009-04-13 15:40:46 EDT
xfwm4-4.4.3-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.